
PKG_ID		= com.monkeystew.goober_m

OUT_DIR		= platforms/android/app/build/outputs/apk/release
UNALIGNED	= $(OUT_DIR)/app-release-unsigned.apk
ALIGNED		= $(OUT_DIR)/app-release-unsigned-aligned.apk
APK			= $(OUT_DIR)/goober.apk

KEYSTORE	= ~/android-keystore.jks


lab:
	ionic serve -lc

prepare:
	ionic cordova prepare android --prod

device:
	ionic cordova run android -lc --address 0.0.0.0 --device

emulator:
	ionic cordova run android -lc --address 0.0.0.0 --emulator

$(UNALIGNED):
	ionic cordova build android --release --prod

$(ALIGNED): $(UNALIGNED)
	cd $(OUT_DIR)
	$(ANDROID_HOME)/build-tools/*/zipalign -v -p 4 $< $@

$(APK): $(ALIGNED)
	cd $(OUT_DIR)
	$(ANDROID_HOME)/build-tools/*/apksigner sign --ks $(KEYSTORE) --out $@ $<
	ls $@

release: $(APK)

clean: androidclean wwwclean

androidclean:
	cd platforms/android && ./gradlew clean

wwwclean:
	rm -r www

distclean:
	rm -r node_modules platforms plugins www

init:
	npm install
	ionic cordova platform add android

ut:
	npm run ionic:build
	rm www/manifest.json
	cd ubuntutouch && clickable

pwa:
	ionic build --prod
	cp -r www ~/opt/Goober
